﻿using System.Collections.ObjectModel;

namespace XamTreeSample
{
    public class CustomerViewModel : NotifiableObject
    {
        public CustomerViewModel()
        {
            InitializeDataFromDatabase();
        }

        public ObservableCollection<Customer> Customers
        {
            get { return _Customers; }
            set { _Customers = value; OnPropertyChanged("Customers"); }
        }

        private ObservableCollection<Customer> _Customers = new ObservableCollection<Customer>();

        private void InitializeDataFromDatabase()
        {
            // Read data in from the database here - converting data into property assignments.
            Customer c = new Customer() { Name="Jenna Murphy"};
            c.Orders.Add(new Order() { Name="X00-135-1200", Number=1200});
            c.Orders.Add(new Order() { Name="X00-135-1201", Number=1201});
            c.Orders.Add(new Order() { Name="X00-135-1202", Number=1202});
            Customers.Add(c);

            c = new Customer() { Name="Thomas Smith"};
            c.Orders.Add(new Order() { Name="C300-135-500", Number=500});
            c.Orders.Add(new Order() { Name="C300-135-940", Number=940});
            c.Orders.Add(new Order() { Name="D400-135-941", Number=941});
            Customers.Add(c);

            c = new Customer() { Name="Angela Wilson"};
            c.Orders.Add(new Order() { Name="X00-135-1206", Number=1206});
            c.Orders.Add(new Order() { Name="C300-135-942", Number=942});
            c.Orders.Add(new Order() { Name="D400-135-1296", Number=1296});
            Customers.Add(c);
        }
    }
}
